
function addOption(object,text,value) {
	var defaultSelected = false;
	var selected = false;
	var optionName = new Option(text, value, defaultSelected, selected)
	object.options[object.length] = optionName;
	object.options[object.length-1].selected = false;
}

function deleteOption(object,index) {
	object.options[index] = null;
}

function moveOptionUp() {
	object = document.getElementById("selectedList");
	var sel = object.selectedIndex;
	if( sel > 0 ) {
		var temp_value = object.options[ sel ].value;
		var temp_text = object.options[ sel ].text;
		object.options[ sel ].value = object.options[ sel-1 ].value;
		object.options[ sel ].text = object.options[ sel-1 ].text;
		object.options[ sel-1 ].value = temp_value;
		object.options[ sel-1 ].text = temp_text;
		object.selectedIndex = sel-1;
		updateList();
	}
}

function moveOptionDown() {
	object = document.getElementById("selectedList");
	var sel = object.selectedIndex;
	if( object.options.length > sel+1 ) {
		var temp_value = object.options[ sel ].value;
		var temp_text = object.options[ sel ].text;
		object.options[ sel ].value = object.options[ sel+1 ].value;
		object.options[ sel ].text = object.options[ sel+1 ].text;
		object.options[ sel+1 ].value = temp_value;
		object.options[ sel+1 ].text = temp_text;
		object.selectedIndex = sel+1;
		updateList();
	}    		
}

function addItem() {
	sourceList = document.getElementById("sourceList");
	selectedList = document.getElementById("selectedList");
	if ( sourceList.selectedIndex >= 0 ) {
		selectedList.selectedIndex = -1;
		for (var i=0; sourceList.options.length > i; i++) {
			if (sourceList.options[i].selected) {
				var newoption = new Option(sourceList.options[i].text, sourceList.options[i].value, true, true);
				newoption.selected = true;
				selectedList.options[selectedList.length] = newoption;
				// selectedList.selectedIndex = -1;
			}
		}
		updateList();
	}   			
}

function removeItem() {
	selectedList = document.getElementById("selectedList");
	if ( selectedList.selectedIndex >= 0 ) {
		for (var i=selectedList.options.length-1; i>=0; i--) {
			if (selectedList.options[i].selected) {
				selectedList.options[i] = null;
			}
		}    			
		selectedList.selectedIndex = -1;
		updateList();
	}
}

function updateList() {
	selectedList = document.getElementById("selectedList");
	var temp = "";
	for (var i=0; selectedList.options.length > i; i++) {
		if ( temp != "" ) { temp += "," }
		temp += selectedList.options[i].value;
	}   
	document.getElementById("selecteditems_list").value = temp;
}

function updateSource() {
	sourceList = document.getElementById("sourceList");

	$("#filterSubmitImage").show();

	for( var i=sourceList.options.length; i>=0; i--) {
		deleteOption(sourceList, i );
	}
	var url = document.forms[0].basepath.value +
	"&get_query=OK&filter="+document.forms[0].filter.value +
	"&perpage="+document.forms[0].perpage.value +
	"&category="+document.forms[0].category.value +
	"&order="+document.forms[0].order.value +
	"&weblog_id="+document.forms[0].weblog_id.value;

	$.ajax({
		type: "GET",
		url: url,
		success: function( msg ){
			var options = msg.getElementsByTagName("option");
			for ( var i=0; i<options.length; i++) {
				addOption(sourceList, options[i].firstChild.nodeValue, options[i].getAttribute("value"))
			}
			$("#filterSubmitImage").hide();
		}
	});
}

function stopReturnKey(e) {
	var keycode;
	if (window.event) keycode = window.event.keyCode;
	else if (e) keycode = e.which;
	else return true;
	if (keycode == 13) {
		updateSource();
		return false;
	} 
}

window.onload = function () {
	updateSource();
	document.getElementById("filter").onkeypress = stopReturnKey;
}

